Get Call Analytics
curl --request GET \
--url https://api.example.com/api/v1/calls/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/calls/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/calls/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_calls": 123,
"completed_calls": 123,
"failed_calls": 123,
"ongoing_calls": 123,
"total_duration": 123,
"avg_duration": 123,
"success_rate": 123,
"daily_stats": {},
"top_assistants": [
{
"assistant_id": 123,
"assistant_name": "<string>",
"calls": 123,
"duration": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Calls
Get Call Analytics
Get detailed call analytics for your organization.
Returns comprehensive metrics and trends for the specified period.
GET
/
api
/
v1
/
calls
/
analytics
Get Call Analytics
This endpoint provides detailed analytics and trends for the calls within your organization over a specified time period.
Query Parameters
period(string, optional, default:7d): The time period for the analysis.- Allowed values:
1d,7d,30d,90d.
- Allowed values:
Response
The response is a JSON object containing a comprehensive breakdown of call metrics.Response
{
"total_calls": 150,
"completed_calls": 135,
"failed_calls": 10,
"ongoing_calls": 5,
"total_duration": 40500,
"avg_duration": 300,
"success_rate": 90,
"daily_stats": {
"2023-10-29": {
"total": 70,
"completed": 65,
"failed": 5
},
"2023-10-30": {
"total": 80,
"completed": 70,
"failed": 5
}
},
"top_assistants": [
{
"assistant_id": 123,
"assistant_name": "Support Bot",
"calls": 100,
"duration": 30000
},
{
"assistant_id": 456,
"assistant_name": "Sales Rep",
"calls": 50,
"duration": 10500
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Analysis period
Pattern:
^(1d|7d|30d|90d)$Response
Successful Response
Response model for call analytics.
Show child attributes
Show child attributes
Show child attributes
Show child attributes